###########################################################################
#
# bbcbuildproc.pm -- 
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the 
# University of Waikato, New Zealand.
#
# Copyright (C) 1999 New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

# mgbuildproc for bbc collections. this file (and package name too) should
# be renamed to the name of the collection currently being built (e.g. 
# bbc1buildproc)

package bbcotherbuildproc;

use mgbuildproc;

BEGIN {
    @ISA = ('mgbuildproc');
}


sub new {
    my ($class, $collection, $source_dir, $build_dir,
	$verbosity, $outhandle) = @_;
    my $self = new mgbuildproc ();

    return bless $self, $class;
}


# we want to filter ProgNumbers to remove all whitespace and other 
# non-alphanumeric characters when creating the index
# $_[0] == field
# $_[1] == text
sub filter_text {
    my $self = shift (@_);

    if ($self->{'indexing_text'} && $_[0] eq "ProgNumber") {
	$_[1] =~ s/[^\w]//g;
    }
}

1;
